GETDIRENTRIES(3)

NAME
getdirentries - get directory entries in a filesystem independent format

SYNOPSIS
#define _BSD_SOURCE or #define _SVID_SOURCE
#include <dirent.h>

ssize_t getdirentries(int fd, char *buf, size_t nbytes , off_t *basep);

DESCRIPTION
Read directory entries from the directory specified by fd into buf. At most nbytes are read. Reading starts at offset *basep, and *basep is updated with the new position after reading.

RETURN VALUE
getdirentries returns the number of bytes read or zero when at the end of the directory. If an error occurs, -1 is returned, and errno is set appropriately.

ERRORS
See the Linux library source code for details.

SEE ALSO
lseek(2), open(2)